Bug 544569 - Review Request: shared-desktop-ontologies - Shared ontologies needed for semantic environments
Review Request: shared-desktop-ontologies - Shared ontologies needed for sema...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-05 08:09 EST by Lorenzo Villani
Modified: 2009-12-16 12:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 12:49:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Villani 2009-12-05 08:09:41 EST
Spec URL: http://gitorious.org/lvillani/specs/blobs/master/kde/shared-desktop-ontologies/shared-desktop-ontologies.spec
SRPM URL: http://fedorapeople.org/~arbiter/shared-destkop-ontologies/

Description: 
The vision of the Social Semantic Desktop defines a user’s personal
information environment as a source and end-point of the Semantic Web:
Knowledge workers comprehensively express their information and data
with respect to their own conceptualizations.

Semantic Web languages and protocols are used to formalize these
conceptualizations and for coordinating local and global information
access. The Resource Description Framework serves as a common data
representation format. With a particular focus on addressing certain
limitations of RDF, a novel representational language akin to RDF and
the Web Ontology Language, plus a number of other high-level
ontologies were created.

Together, they provide a means to build the semantic bridges necessary
for data exchange and application integration on distributed social
semantic desktops. Although initially designed to fulfill requirements
for the Nepomuk project, these ontologies are useful for the semantic
web community in general.
Comment 2 Lorenzo Villani 2009-12-05 08:25:37 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1851267
________________________________________________________________

Rpmlint:
[lvillani@enterprise shared-desktop-ontologies]$ rpmlint /home/lvillani/devel/rpm/RPMS/noarch/shared-desktop-ontologies-0.2-1.fc12.noarch.rpm shared-desktop-ontologies.spec
shared-desktop-ontologies.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/shared-desktop-ontologies.pc
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

I would rather ignore the warning: that pkgconfig file is used only to help other packages find the ontologies.
Comment 3 Kevin Kofler 2009-12-05 17:13:21 EST
The License tag is wrong, should be "BSD or CC-BY", not "BSD with advertising or CC-BY". The advertising clause reads something like:
> 3. All advertising materials mentioning features or use of this software must
> display the following acknowledgement: This product includes software developed
> by the University of California, Berkeley and its contributors.
(where the exact sentence to quote has generally been changed by variants of the license). The LICENSE.BSD in this package does (thankfully) NOT carry this annoying clause.
Comment 4 Lorenzo Villani 2009-12-05 19:47:20 EST
* Sun Dec  6 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-2
- Fix license tag
Comment 5 Kevin Kofler 2009-12-05 20:05:20 EST
This needs a -devel subpackage for the .pc file, as rpmlint is trying to tell you. Otherwise, pkgconfig will be dragged in everywhere by the automatic pkgconfig Requires in current RPM.
Comment 6 Lorenzo Villani 2009-12-05 20:16:22 EST
* Sun Dec  6 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2-3
- Add -devel package and move CMake and pkgconfig files there
Comment 7 Rex Dieter 2009-12-07 13:06:07 EST
$ rpmlint *.rpm noarch/*rpm
shared-desktop-ontologies-devel.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Sources checked:
md5sum *.bz2
6c004e1c377f768cae5b321bc111876b  shared-desktop-ontologies-0.2.tar.bz2

Naming: OK

License: OK

BR/Requires: OK  (none, really. :)  )

Otherwise, very simple noarch/content package here.  No other issues I can see.


APPROVED.
Comment 8 Lorenzo Villani 2009-12-07 13:25:27 EST
New Package CVS Request
=======================
Package Name: shared-desktop-ontologies
Short Description: Shared ontologies needed for semantic environments
Owners: arbiter rdieter kkofler
Branches: F-11 F-12
InitialCC:
Comment 9 Kevin Fenzi 2009-12-09 12:48:50 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.